//$URL: https://jcodegen.googlecode.com/svn/tags/jCodeGen-0.11/src/main/java/de/dev/eth0/jcodegen/elements/interfaces/ElementWithModifier.java $
//$Id: ElementWithModifier.java 11 2012-09-15 15:34:08Z amuthmann@gmail.com $
package de.dev.eth0.jcodegen.elements.interfaces;

import de.dev.eth0.jcodegen.constants.Modifier;
import java.util.Set;

/**
 * Interface for Elements which use modifieres (e.g. public or private)
 * @author deveth0
 */
public interface ElementWithModifier {

  /**
   * Adds a modifier
   *
   * @param pModifier
   * @return the element (this)
   */
  ElementWithModifier addModifier(Modifier pModifier);

  /**
   * returns an unmodifable set with all modifiers
   *
   * @return set with modifiers
   */
  Set<Modifier> getModifier();
}
